Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.io.filefilter
Class AgeFileFilter

    java.lang.Object
      org.apache.commons.io.filefilter.AbstractFileFilter
          org.apache.commons.io.filefilter.AgeFileFilter

All Implemented Interfaces:
  FileFilter, FilenameFilter, Serializable, IOFileFilter

    public class AgeFileFilter

extends AbstractFileFilter
implements Serializable

Filters files based on a cutoff time, can filter either newer files or files equal to or older.

For example, to print all files and directories in the current directory older than one day:

     File dir = new File(".");
     // We are interested in files older than one day
     long cutoff = System.currentTimeMillis() - (24 * 60 * 60 * 1000);
     String[] files = dir.list( new AgeFileFilter(cutoff) );
     for ( int i = 0; i < files.length; i++ ) {
         System.out.println(files[i]);
     }

Since:
  Commons IO 1.2
Version:
  $Id: AgeFileFilter.java 1005099 2010-10-06 16:13:01Z niallp $
Author:
  Rahul Akolkar
See Also:
  `FileFilterUtils.ageFileFilter(Date)`, `FileFilterUtils.ageFileFilter(File)`, `FileFilterUtils.ageFileFilter(long)`, `FileFilterUtils.ageFileFilter(Date, boolean)`, `FileFilterUtils.ageFileFilter(File, boolean)`, `FileFilterUtils.ageFileFilter(long, boolean)`, Serialized Form

Constructor Summary
`AgeFileFilter(Date cutoffDate)` Constructs a new age file filter for files older than (at or before) a certain cutoff date.
`AgeFileFilter(Date cutoffDate, boolean acceptOlder)` Constructs a new age file filter for files on any one side of a certain cutoff date.
`AgeFileFilter(File cutoffReference)` Constructs a new age file filter for files older than (at or before) a certain File (whose last modification time will be used as reference).
`AgeFileFilter(File cutoffReference, boolean acceptOlder)` Constructs a new age file filter for files on any one side of a certain File (whose last modification time will be used as reference).
`AgeFileFilter(long cutoff)` Constructs a new age file filter for files equal to or older than a certain cutoff
`AgeFileFilter(long cutoff, boolean acceptOlder)` Constructs a new age file filter for files on any one side of a certain cutoff.

Method Summary
`boolean` | `accept(File file)` Checks to see if the last modification of the file matches cutoff favorably.
`String` | `toString()` Provide a String representaion of this file filter.

Methods inherited from class org.apache.commons.io.filefilter.AbstractFileFilter
`accept`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AgeFileFilter

    public AgeFileFilter(long cutoff)

  Constructs a new age file filter for files equal to or older than a certain cutoff

  Parameters:
    `cutoff` - the threshold age of the files

### AgeFileFilter

    public AgeFileFilter(long cutoff,
                         boolean acceptOlder)

  Constructs a new age file filter for files on any one side of a certain cutoff.

  Parameters:
    `cutoff` - the threshold age of the files
    `acceptOlder` - if true, older files (at or before the cutoff) are accepted, else newer ones (after the cutoff).

### AgeFileFilter

    public AgeFileFilter(Date cutoffDate)

  Constructs a new age file filter for files older than (at or before) a certain cutoff date.

  Parameters:
    `cutoffDate` - the threshold age of the files

### AgeFileFilter

    public AgeFileFilter(Date cutoffDate,
                         boolean acceptOlder)

  Constructs a new age file filter for files on any one side of a certain cutoff date.

  Parameters:
    `cutoffDate` - the threshold age of the files
    `acceptOlder` - if true, older files (at or before the cutoff) are accepted, else newer ones (after the cutoff).

### AgeFileFilter

    public AgeFileFilter(File cutoffReference)

  Constructs a new age file filter for files older than (at or before) a certain File (whose last modification time will be used as reference).

  Parameters:
    `cutoffReference` - the file whose last modification time is usesd as the threshold age of the files

### AgeFileFilter

    public AgeFileFilter(File cutoffReference,
                         boolean acceptOlder)

  Constructs a new age file filter for files on any one side of a certain File (whose last modification time will be used as reference).

  Parameters:
    `cutoffReference` - the file whose last modification time is usesd as the threshold age of the files
    `acceptOlder` - if true, older files (at or before the cutoff) are accepted, else newer ones (after the cutoff).

Method Detail

### accept

    public boolean accept(File file)

  Checks to see if the last modification of the file matches cutoff favorably.

  If last modification time equals cutoff and newer files are required, file IS NOT selected. If last modification time equals cutoff and older files are required, file IS selected.

  Specified by:
    `accept` in interface `FileFilter`
  Specified by:
    `accept` in interface `IOFileFilter`
  Overrides:
    `accept` in class `AbstractFileFilter`
  Parameters:
    `file` - the File to check
  Returns:
    true if the filename matches

### toString

    public String toString()

  Provide a String representaion of this file filter.

  Overrides:
    `toString` in class `AbstractFileFilter`
  Returns:
    a String representaion

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2010 The Apache Software Foundation. All Rights Reserved.